<script lang="ts">
import Vue from 'vue';
import { editQueryParams } from '~/mixins/index';

interface ContentOverride {
  header?: string;
  blurb?: string;
}

export default Vue.extend({
  name: 'NextStepAlt',
  mixins: [editQueryParams],
  props: {
    entryId: {
      type: String,
      required: false,
      default: '1UWQCOoWjO1Wg9fSDrRPDG',
    },
    disableSecondaryButton: {
      type: Boolean,
      required: false,
      default: false,
    },
    variant: {
      type: String,
      required: false,
      default: '',
    },
    contentOverride: {
      type: Object as () => ContentOverride,
      required: false,
      default: null,
    },
  },
  data() {
    return {
      content: null,
    };
  },
  async fetch() {
    const content = (await this.$content(
      `shared/${this.$i18n.locale}/next-step-alt${this.variant && !this.$i18n.locale ? `-${this.variant}` : ''}`,
    ).fetch()) as any;

    this.content = content;
  },
});
</script>

<template>
  <section class="next-step-alt">
    <SlpContainer>
      <div class="next-step-alt__container">
        <div class="next-step-alt__header slp-mb-16">
          <SlpTypography variant="heading2-bold" tag="h2">
            {{ contentOverride?.header || content.header }}
          </SlpTypography>
        </div>
        <SlpTypography
          variant="heading5"
          tag="div"
          class="description slp-mb-24"
        >
          <div v-html="$md.render(contentOverride?.blurb || content.blurb)" />
        </SlpTypography>
        <div class="buttons">
          <SlpButton
            variant="secondary"
            :href="updateFreeTrialGlmContent(content.button.href)"
            :data-ga-name="content.button.data_ga_name"
            class="main-button"
            :data-ga-location="content.button.data_ga_location || 'next step'"
          >
            {{ content.button.text }}
          </SlpButton>
          <SlpButton
            v-if="content.secondary_button && !disableSecondaryButton"
            variant="primary"
            :href="updateFreeTrialGlmContent(content.secondary_button.href)"
            :data-ga-name="content.secondary_button.data_ga_name"
            class="secondary-button"
            :data-ga-location="
              content.secondary_button.data_ga_location || 'next step'
            "
          >
            <SlpIcon
              name="chat"
              variant="marketing"
              class="slp-mr-8"
              size="24"
            />{{ content.secondary_button.text }}
          </SlpButton>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.next-step-alt {
  background: $color-surface-700;
  color: $color-primary-300;
  padding-bottom: $spacing-32;
  position: relative;
  z-index: 1;

  &__container {
    background: $color-surface-700;
    padding: $spacing-64 $spacing-24;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-bottom: 1px solid var(--slp-color-surface-600, #45424d);
    @media (min-width: $breakpoint-sm) {
      padding: $spacing-96;
    }
    @media (min-width: $breakpoint-md) {
      max-width: 100%;
    }
    @media (max-width: $breakpoint-lg) {
      text-align: center;
    }
    .description {
      max-width: 650px;
      text-align: center;
    }
    .buttons {
      display: flex;
      flex-direction: row;
      gap: 24px;
      @media (max-width: $breakpoint-lg) {
        flex-direction: column;
        width: 100%;
      }
      .secondary-button {
        border-radius: 4px;
        border: 1px solid var(--slp-color-surface-50, #fff);
      }
      .main-button,
      .secondary-button {
        justify-content: center;
      }
    }
  }
  &__header {
    background: linear-gradient(
      89.95deg,
      #feb484 3.13%,
      #a686f2 66.86%,
      #592ac8 123.2%
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    h2 {
      line-height: 1.14;
    }
  }
}
</style>
